document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_18200 | ---
+++
@@ -11,7 +11,7 @@
go get github.com/venicegeo/pz-logger
-go get gopkg.in/olivere/elastic.v2
+go get gopkg.in/olivere/elastic.v3
go get github.com/stretchr/testify/suite
go get github.com/stretchr/testify/assert
| bash |
d_bash_18201 | ---
+++
@@ -3,6 +3,7 @@
# Copy all templates to /etc/nginx/, evaluate them and delete the files
cp -R /templates/* /etc/nginx/
for f in $(find /etc/nginx/ -type f -name "*.j2"); do
+ echo -e "Evaluating template\n\tSource: $f\n\tDest: ${f%.j2}"
j2 $f > ${f%.j2}
rm -f $f
done | bash |
d_bash_18202 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -e
mongoimport --db moviematcher --drop --collection movie --type csv --headerline --file omdbMovies.csv
# mongoexport -d moviematcher -c omdb | mongoimport -d moviematcher -c movies --drop
mongo moviematcher mongo_movies_import.js | bash |
d_bash_18203 | ---
+++
@@ -2,7 +2,7 @@
# Add year from superior work for records where the original published_at-field in the database is missing
IN_FILE="daten/bibwiss12_with_author_cleaned.xml"
-OUT_FILE="daten/bibwiss13_with_author_cleaned.xml"
+OUT_FILE="daten/bibwiss14_with_author_cleaned.xml"
candidate_ppns=$(marc_grep... | bash |
d_bash_18204 | ---
+++
@@ -14,9 +14,10 @@
tmpdir=biojenkins-out/$RANDOM
mkdir -p $tmpdir
+# Next bit is broken, who knows why
# test parsing of valid file using qcparse
-./bin/qcparse ./data/valid_il.fastq >$tmpdir/valid.fastq
-cmp --silent ./data/valid_il.fastq $tmpdir/valid.fastq
+# ./bin/qcparse ./data/valid_il.fastq >$tmpd... | bash |
d_bash_18205 | ---
+++
@@ -15,10 +15,10 @@
rvm requirements
echo "================= Installing default ruby ==================="
-rvm reinstall 2.5.0 --disable-binary
+rvm reinstall 2.5.1 --disable-binary
# tell rvm to use this version as default
-rvm use 2.5.0 --default
+rvm use 2.5.1 --default
#update gems to current
r... | bash |
d_bash_18206 | ---
+++
@@ -10,17 +10,17 @@
# main permissions
chmod 700 "$SSH_FOLDER"
- chmod 600 "$SSH_FOLDER/*"
- chmod 644 "$SSH_FOLDER/*.pub"
+ chmod 600 "$SSH_FOLDER"/*
+ chmod 644 "$SSH_FOLDER"/*.pub
# known_hosts
if [ -f "$SSH_FOLDER/known_hosts" ]; then
- chmod 644 "$SSH_FOLDER/kno... | bash |
d_bash_18207 | ---
+++
@@ -5,7 +5,9 @@
git clone https://github.com/ngtcp2/nghttp3
cd nghttp3
autoreconf -i
-./configure --prefix=$PWD/build --enable-lib-only
+./configure --prefix=$PWD/build --enable-lib-only \
+ LDFLAGS="-fsanitize=address,undefined -fno-sanitize-recover=undefined" \
+ CPPFLAGS="-fsanitize=address,unde... | bash |
d_bash_18208 | ---
+++
@@ -3,4 +3,6 @@
export LANG=en_US.UTF-8
cd Example
+
+gem install cocoapods -v '0.32.1'
pod install | bash |
d_bash_18209 | ---
+++
@@ -20,3 +20,9 @@
echo 'Success!'
}
+
+purge_dns_cache() {
+ sudo killall -HUP mDNSResponder
+ sudo killall mDNSResponderHelper
+ sudo dscacheutil -flushcache
+} | bash |
d_bash_18210 | ---
+++
@@ -1,5 +1,7 @@
#!/bin/bash
-VERSION="2.6.1"
+VERSION="2.6.2"
-fpm -s dir -t deb -n prodigal -v ${VERSION} --iteration 1 -m "kblin@biosustain.dtu.dk" ./Prodigal-${VERSION}/prodigal=/usr/bin/prodigal
+wget https://github.com/hyattpd/Prodigal/releases/download/v${VERSION}/prodigal.linux -O prodigal
+
+fpm ... | bash |
d_bash_18211 | ---
+++
@@ -1,41 +1,31 @@
#!/bin/bash
-#execute it by typing
-#. ./start_script
+# execute it by typing
+# source start_script
# Courtesy of Krzysztof Geras
# Modified by Gavin Gray
# UI improved by Finlay Maguire
-usage(){ echo "./start_script.sh -c GPU_CORES"; }
-while getopts "hc:" OPTION; do
- case $OP... | bash |
d_bash_18212 | ---
+++
@@ -4,17 +4,12 @@
# May be used for ci or other team members.
#
-dependencies=(
- android-25
- build-tools-25.0.2
- tool
- extra-android-m2repository
- extra-android-support
- extra-google-google_play_services
- extra-google-m2repository
-)
+for I in android-25 \
+ ... | bash |
d_bash_18213 | ---
+++
@@ -8,14 +8,21 @@
mvn -U --settings ./travis/maven-settings.xml compile
-if [ "${TRAVIS_PULL_REQUEST}" = "false" ] && [ "${TRAVIS_BRANCH}" = "next" ]; then
+if [ "${TRAVIS_PULL_REQUEST}" = "false" ]; then
mvn --settings ./travis/maven-settings.xml deploy -pl '!gws-system-test'
mvn --settings ./... | bash |
d_bash_18214 | ---
+++
@@ -5,6 +5,17 @@
# found in the LICENSE file.
trap '' USR1 TTOU TTIN
+
+# Disables all the Ctrl-Alt-Fn shortcuts for switching between virtual terminals
+# if we're in verified boot mode. Otherwise, disables only Fn (n>=3) keys.
+MAXVT=0
+if crossystem "cros_debug?1" ||
+ grep -q '^chronos:[^*]' /etc/s... | bash |
d_bash_18215 | ---
+++
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
patch -p1 < patches/patch-cpuidle-3.17-std.patch
+patch -p1 < patches/0001-enable-hardware-I-O-coherency.patch
patch -p1 < patches/0001-ntp-Fixup-adjtimex-freq-validation-on-32bit-systems.patch | bash |
d_bash_18216 | ---
+++
@@ -32,7 +32,7 @@
popd
;;
vp10)
- pushd libvpx
+ pushd vp10
./configure --enable-vp10 --enable-experimental --enable-var_tx --enable-ext_tx --enable-misc_fixes --enable-ext_intra --enable-ext_inter --enable-ext_interp --enable-ext_refs --enable-supertx --enable-spatial_svc
make
... | bash |
d_bash_18217 | ---
+++
@@ -1,5 +1,10 @@
#!/bin/bash
+mkdir /usr/local/pgsql
+chown postgres -Rf /usr/local/pgsql
+chgrp postgres -Rf /usr/local/pgsql
+su - postgres -c "/usr/lib/postgresql/9.3/bin/initdb -D /usr/local/pgsql/data"
+su - postgres -c "/usr/lib/postgresql/9.3/bin/pg_ctl -D /usr/local/pgsql/data -l /usr/local/pgsql/l... | bash |
d_bash_18218 | ---
+++
@@ -10,6 +10,13 @@
brew install git # System git it's ok, but we install this to get and load the git bash auto complete script
brew install bash-completion
+# Install Homebrew completions tap. See https://github.com/Homebrew/homebrew-completions
+brew tap homebrew/completions
+
+# Install completions.
+b... | bash |
d_bash_18219 | ---
+++
@@ -1,17 +1,22 @@
#!/bin/bash
-devices=$(sudo parted -l |grep 'Disk' |awk '!/boot/{if(NR%2 == 0) print x};{x=$2}'|sed 's/:$//')
+#Obtain devices
+devices=$(lsblk -l |awk '$6=="disk"{print $1}')
+systemdevice=$(lsblk -l |awk '$7=="/usr"{print $1}' |sed 's/[0-9]\+$//')
# Run OSD daemon for each device
-fo... | bash |
d_bash_18220 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
apt update
apt full-upgrade -y
-apt install -y gmodule-2.0 gtk+-3.0 libasound2-dev libavahi-client-dev
+apt install -y gmodule-2.0 gtk+-3.0 libasound2-dev libavahi-client-dev libjpeg9-dev libpulse-dev | bash |
d_bash_18221 | ---
+++
@@ -1,6 +1,6 @@
grunt build
grunt test:unit
-if [ $SAUCE_ACCESS_KEY ]; then
+#if [ $SAUCE_ACCESS_KEY ]; then
#grunt sauce:unit
#grunt sauce:e2e
-fi
+#fi | bash |
d_bash_18222 | ---
+++
@@ -7,6 +7,8 @@
if [[ "$USERID" == "0" ]]; then
exec "bin/run-${SERVER_MODE}.sh"
else
- adduser --uid "$USERID" --disabled-password --gecos '' --no-create-home webdev
+ if ! id webdev >/dev/null 2>&1; then
+ adduser --uid "$USERID" --disabled-password --gecos '' --no-create-home webdev
+ ... | bash |
d_bash_18223 | ---
+++
@@ -1,5 +1,24 @@
#!/usr/bin/env bash
nbExtFlags=$1
+
+npm -v
+if [ $? -eq 0 ]; then
+ echo npm is installed
+else
+ echo "'npm -v' failed therefore npm is not installed. In
+ order to perform a developer install of ipywidgets you must
+ have both npm and pip installed on your machine!"
+ exi... | bash |
d_bash_18224 | ---
+++
@@ -1,5 +1,10 @@
#!/bin/sh
+# Check that configure.ac exists
+if test ! -f configure.ac; then
+ echo "Can't find configure.ac"
+ exit
+fi
#AC_INIT([mpg123], [0.60-devel], [mpg123-devel@lists.sourceforge.net])
PACKAGE_NAME=`sed -n 's/^AC_INIT(\[\([^,]*\)\], .*$/\1/p' < configure.ac`
@@ -8,7 +13,7 @@
... | bash |
d_bash_18225 | ---
+++
@@ -3,8 +3,33 @@
# Created to help debug issue #12. See:
# https://github.com/dfarrell07/vagrant-opendaylight/issues/12
-# TODO: Remove old ODL install if present
+dl_dir="." # This will normally be a good default for non-root runs
+#dl_dir="/usr/src" # Actual dl dir used in the failing curl, requires r... | bash |
d_bash_18226 | ---
+++
@@ -9,7 +9,7 @@
cd "S$1"
echo "Downloading episodes"
-~/youtube-dl -i $episodes
+youtube-dl -i $episodes
cd ..
echo "Merging episodes"
./join_acts.sh "S$1" | bash |
d_bash_18227 | ---
+++
@@ -4,7 +4,13 @@
# Constants.
EXIT_INVALID_COMMAND=1
-EXIT_WRONG_USER=2
+EXIT_NOT_INSTALLED=2
+EXIT_OK=3
+EXIT_WRONG_USER=4
+
+HTTP_USER="www-data"
+OWNCLOUD_ROOT="/var/www/owncloud"
+OWNCLOUD_CTL="./occ"
# Functions.
@@ -24,10 +30,34 @@
}
+# Commans.
+check() {
+ what=$1
+ case "${what}" in
+... | bash |
d_bash_18228 | ---
+++
@@ -1,7 +1,12 @@
#!/bin/bash
-# A script to backup all servers using duply ()
+# A script to backup all servers using duply
+#
echo "Beginning backups..."
+
+echo "Backing up global plugin directory..."
+duply plugindir backup
+echo "Success!"
echo "Backing up survival... (this could take a while)"
du... | bash |
d_bash_18229 | ---
+++
@@ -16,7 +16,8 @@
cp 00.crt c00.pem
# generate long chain
-for i in $(seq 1 $NB); do
+i=1
+while [ $i -le $NB ]; do
UP=$( printf "%02d" $((i-1)) )
ME=$( printf "%02d" $i )
@@ -30,4 +31,5 @@
cat ${ME}.crt c${UP}.pem > c${ME}.pem
rm ${ME}.csr
+ i=$((i+1))
done | bash |
d_bash_18230 | ---
+++
@@ -38,5 +38,6 @@
do
${pyint} setup.py build
sudo ${pyint} setup.py install
+ ${pyint} -c "from elperiodic.ElPeriodic import ElPeriodic"
done
cd .. | bash |
d_bash_18231 | ---
+++
@@ -2,16 +2,20 @@
IMAGEID="$1"
-# If we run in an ephemeral docker container, we can
-# safely clobber the filters we find.
-for filter in /usr/local/share/diamond/filters/* ; do
+cd /usr/local/share
+
+# tar up 'native' filters and export through a volume
+# mounted at /artifacts.
+tar -cvzf /artifacts/... | bash |
d_bash_18232 | ---
+++
@@ -6,5 +6,5 @@
branches=$(git for-each-ref --sort=-committerdate ${pattern} --format="%(refname:short)") &&
branch=$(echo "$branches" |
fzf-tmux -d $(( 2 + $(wc -l <<< "$branches") )) +m) &&
- git checkout -t $(echo "$branch" | sed "s/.* //" | sed "s#remotes/[^/]*/##")
+ git checkout $(ec... | bash |
d_bash_18233 | ---
+++
@@ -1,11 +1,13 @@
#!/bin/sh
# absolute path where XML is saved. Defined by the first param of the shell command
-feedOutputPath=$1
+FEEDOUTPUTPATH=$1
+
+BASEDIR=$(dirname $0)
# max amount of seconds to pause/delay between each file to avoid hammering CL
# defined by the second param of the shell comma... | bash |
d_bash_18234 | ---
+++
@@ -4,4 +4,5 @@
mongo baselinegen --eval "db.dropDatabase()"
mongo dataresolve --eval "db.dropDatabase()"
mongo exec --eval "db.job.remove({})"
+mongo exec --eval "db.executor.remove({})"
mongo coderepo --eval "db.revision.remove({})" | bash |
d_bash_18235 | ---
+++
@@ -12,8 +12,14 @@
rm -rf $FWNAME.framework
fi
+if [ "$1" == "dynamic" ]; then
+ LIBTOOL_FLAGS="-dynamic -undefined dynamic_lookup"
+else
+ LIBTOOL_FLAGS="-static"
+fi
+
echo "Creating $FWNAME.framework"
mkdir -p $FWNAME.framework/Headers
-libtool -no_warning_for_no_symbols -static -o $FWNAME.... | bash |
d_bash_18236 | ---
+++
@@ -25,3 +25,13 @@
alias fr="foreman run"
alias fs='foreman start'
alias be='bundle exec'
+
+# start running jobs on the named app
+#
+# Usage:
+#
+# heroku-jobs <app-name>
+#
+heroku-jobs() {
+ heroku run rake jobs:work --app $1
+} | bash |
d_bash_18237 | ---
+++
@@ -7,13 +7,11 @@
# ensure that tar archive of install4j exists
cd ~/downloads
-if [ ! -f install4j_unix_6_1_1.tar.gz ]; then
- wget --quiet http://download-aws.ej-technologies.com/install4j/install4j_unix_6_1_1.tar.gz
-fi;
+wget --quiet -nc http://download-keycdn.ej-technologies.com/install4j/install4j_... | bash |
d_bash_18238 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-VMQ_JOSEAUTH_DIR='/opt/manifest/vmq_joseauth'
+PROJECT_DIR='/opt/manifest/vmq_joseauth'
read -r DOCKER_RUN_COMMAND <<-EOF
vernemq start \
@@ -10,8 +10,8 @@
docker build -t manifest/vmq_joseauth .
docker run -ti --rm \
- -v $(pwd):${VMQ_JOSEAUTH_DIR} \
+ -v $(pwd):${PROJE... | bash |
d_bash_18239 | ---
+++
@@ -7,10 +7,10 @@
~/.coursier/coursier launch -q -P \
com.lihaoyi:ammonite_2.12.3:1.0.2 \
- is.cir:ciris-core_2.12:0.4.1 \
- is.cir:ciris-enumeratum_2.12:0.4.1 \
- is.cir:ciris-generic_2.12:0.4.1 \
- is.cir:ciris-refined_2.12:0.4.1 \
- is.cir:ciris-spire_2.12:0.4.1 \
- is.cir:ciris-squants_2.12:0.... | bash |
d_bash_18240 | ---
+++
@@ -9,11 +9,21 @@
export PAGER="less"
export LESS="-R"
-export LC_CTYPE=$LANG
-
## super user alias
alias _='sudo'
alias please='sudo'
## more intelligent acking for ubuntu users
alias afind='ack-grep -il'
+
+## how to interpret text characters
+if [[ -z "$LC_CTYPE" && -z "$LC_ALL" ]]; then # only ... | bash |
d_bash_18241 | ---
+++
@@ -12,3 +12,4 @@
sleep $DELAY
tmux capture-pane -t $SESSION_NAME
tmux save-buffer -
+tmux kill-session -t $SESSION_NAME &>/dev/null | bash |
d_bash_18242 | ---
+++
@@ -11,6 +11,6 @@
libceres \
libceres-dev
-sudo add-apt-repository ppa:bzindovic/suitesparse-bugfix-1319687
+sudo add-apt-repository ppa:bzindovic/suitesparse-bugfix-1319687 -y
sudo apt-get update
sudo apt-get install libsuitesparse-dev | bash |
d_bash_18243 | ---
+++
@@ -16,4 +16,4 @@
sed -i 's/${geodesy-db-password}/'"${DB_PASSWORD}/" ROOT/META-INF/context.xml
sed -i s,'${oauthProviderUrl}',"${OPENAM_ENDPOINT}"/oauth2, ROOT/WEB-INF/classes/config.properties
-sed -i s,'${env}',"${ENV}", ROOT/WEB-INF/classes/config.properties
+sed -i s,'${env}',"${ENV,,}", ROOT/WEB-INF... | bash |
d_bash_18244 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/sh
MYIP=$(/sbin/ifconfig eth0|grep 'inet addr'|awk -F: '{print $2}'| awk '{print $1}');
+OUTPUT_STR="Welcome to $MYIP\r"
+OUTPUT_LEN=${#OUTPUT_STR}
+
while true; do
- echo -e "HTTP/1.0 200 OK\r\n\r\nWelcome to $MYIP" | sudo nc -l -p 80
+ echo -e "HTTP/1.0 200 OK\r\nContent-Le... | bash |
d_bash_18245 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-java -cp `cat .classpath` -Xmx2048m -Dlog4j.configuration=file:log4j.properties applicant.etl.ResumeParser "$@" --directory ~/Documents/ --master local[1] --nodes 172.31.61.189 --port 9200 --applicantindex applicants --attachmentindex attachments --regex model/nlp/regex.txt --mod... | bash |
d_bash_18246 | ---
+++
@@ -5,7 +5,7 @@
docker rm collector-manager
echo "building sources..."
-mvn clean install -Dmaven.test.skip=true -DskipTests
+mvn install -DskipITs
echo "building collector-manager-app..."
docker build -t io.thesis/collector-manager collector-manager | bash |
d_bash_18247 | ---
+++
@@ -14,8 +14,8 @@
# edit .bashrc
-echo "export PATH=$HOME/.linuxbrew/bin:$PATH" >> $HOME/.bashrc
-echo "export MANPATH=$HOME/.linuxbrew/share/man:$MANPATH" >> $HOME/.bashrc
-echo "export INFOPATH=$HOME/.linuxbrew/share/info:$INFOPATH" >> $HOME/.bashrc
+echo 'export PATH=$HOME/.linuxbrew/bin:$PATH' >> $HO... | bash |
d_bash_18248 | ---
+++
@@ -5,5 +5,7 @@
local var=${1}[@]
echo ${!var}
+ else
+ echo "${@}"
fi
} | bash |
d_bash_18249 | ---
+++
@@ -1,7 +1,8 @@
#!/bin/sh
-retry_count_max=20
+retry_count_max=40
sleeptime_between_retry=3
+myip=`ifconfig | sed -En 's/127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p'`
echo "Checking sync_gateway processes"
retry_count=0
@@ -11,7 +12,7 @@
echo "Sync-gateway process is not running... | bash |
d_bash_18250 | ---
+++
@@ -5,7 +5,7 @@
cd /tmp/cppcheck
mkdir build
cd build
-cmake ..
+cmake .. -DCMAKE_BUILD_TYPE=Release
make MATCHCOMPILER=yes FILESDIR=/usr/share/cppcheck HAVE_RULES=yes CXXFLAGS="-O2 -DNDEBUG -Wall -Wno-sign-compare -Wno-unused-function" -j
sudo make -s install
cppcheck --version | bash |
d_bash_18251 | ---
+++
@@ -11,7 +11,7 @@
if [[ -n "$CHANGED_FILES" ]]; then
set -x
- $USER_BASE/bin/gjslint $CHANGED_FILES
+ $USER_BASE/bin/gjslint --strict --jslint_error=all --exclude_files=deps.js $CHANGED_FILES
else
echo "No .js files found to lint in this Pull Request."
fi | bash |
d_bash_18252 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+# Specify files to index here
+find . -name "*.cpp" | sort > files2.txt
add_to_index() {
echo clic_add index.db `cat .clang_complete` $1
@@ -11,8 +14,6 @@
echo rm $1.i.gz
rm $1.i.gz
}
-
-find . -name "*.cpp" | sort > files2.txt
if [ ! -f index.db -o ! -f f... | bash |
d_bash_18253 | ---
+++
@@ -1,17 +1,25 @@
pkg_name=imagemagick
-pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
pkg_origin=core
pkg_version=6.9.2-10
+pkg_description="A software suite to create, edit, compose, or convert bitmap images."
+pkg_upstream_url="http://imagemagick.org/"
pkg_license=('Apache2')
pkg_maintai... | bash |
d_bash_18254 | ---
+++
@@ -9,7 +9,7 @@
exit 1
fi
sudo $MANAGER update
-sudo $MANAGER install screen vim git golang
+sudo $MANAGER -y install screen vim git golang
if ! hash python3 2>/dev/null; then
wget https://www.python.org/ftp/python/3.4.3/Python-3.4.3.tar.xz
@@ -24,5 +24,17 @@
sudo rm -r Python-3.4.3
fi
... | bash |
d_bash_18255 | ---
+++
@@ -3,7 +3,7 @@
# change here to match local machine folder structure
local_folder=$HOME/data/PanoFallback/ARB-GV-HILL-1/
remote_mounted_folder=$HOME/data/gigavision/ARB-GV-HILL-1/
-log_folder=$HOME/data/gigavision/
+log_folder=$HOME/data/gigavision/log/
# copy new files
rsync -av --progress --log-file... | bash |
d_bash_18256 | ---
+++
@@ -7,7 +7,7 @@
##
# if go is installed export GOPATH
-if [[ ( -e `which go` && -e "$HOME/.go" ) ]]; then export GOPATH=$HOME/.go && export PATH="$GOPATH/bin:$PATH"; fi
+if [[ ( -e `which go` && -e "$HOME/go" ) ]]; then export GOPATH=$HOME/go && export PATH="$GOPATH/bin:$PATH"; fi
##
# search for rben... | bash |
d_bash_18257 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/11.0.16+8/bellsoft-jdk11.0.16+8-linux-amd64.tar.gz"
;;
java17)
- echo "https://github.com/bell-sw/Liberica/releases/download/17.0.3.1+2/bellsoft-jdk17.0.3.1+2-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica... | bash |
d_bash_18258 | ---
+++
@@ -26,18 +26,21 @@
if [ "$TARGET" = "asmjs-unknown-emscripten" ]; then
rustup target add asmjs-unknown-emscripten
export CARGO_WEB_ARGS="--target-asmjs-emscripten"
+ export TEST_ARGS="--features web_test"
fi
if [ "$TARGET" = "wasm32-unknown-emscripten" ]; then
rustup target add wasm32-... | bash |
d_bash_18259 | ---
+++
@@ -19,6 +19,7 @@
echo "########################################'"
echo "git fetch release"
git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/*
+git tag -d $(git tag -l)
git fetch --all
echo "git checkout release"
git checkout release | bash |
d_bash_18260 | ---
+++
@@ -26,6 +26,6 @@
curl -Lsf -o git-lfs.tgz https://github.com/git-lfs/git-lfs/releases/download/v${GIT_LFS_RELEASE}/git-lfs-linux-amd64-v${GIT_LFS_RELEASE}.tar.gz
mkdir git-lfs
tar -xvzf git-lfs.tgz -C git-lfs
+sudo chmod 755 /usr/local/bin/git-lfs
sudo ./git-lfs/install.sh
-sudo git lfs install
rm -rf g... | bash |
d_bash_18261 | ---
+++
@@ -1,20 +1,4 @@
#!/usr/bin/env bash
-set -e
-{
-echo "all::"
-for x in *.ys; do
- echo "all:: run-$x"
- echo "run-$x:"
- echo " @echo 'Running $x..'"
- echo " @../../../yosys -ql ${x%.ys}.log -w 'Yosys has only limited support for tri-state logic at the moment.' $x"
-done
-for s in *.sh; do
- if [ "$s" != "... | bash |
d_bash_18262 | ---
+++
@@ -3,6 +3,7 @@
PKG=scannerpy
NO_DEPS=false
+FAIL_THROUGH=false
while [[ $# -gt 0 ]]
do
@@ -11,6 +12,10 @@
case $key in
-n|--no-deps)
NO_DEPS=true
+ shift
+ ;;
+ -f|--fail-through)
+ FAIL_THROUGH=true
shift
;;
*)
@@ -49,4 +54,7 @@
fi
... | bash |
d_bash_18263 | ---
+++
@@ -7,7 +7,7 @@
echo $STEWARD_ACCESS_KEY:$STEWARD_ACCESS_SECRET > .passwd-s3fs \
&& chmod 600 .passwd-s3fs
-STEWARD_CACHE=/tmp/steward
+STEWARD_CACHE=/var/cache/steward
GIGABYTE=1073741824
# Mount cloud storage | bash |
d_bash_18264 | ---
+++
@@ -1,24 +1,23 @@
-#! /usr/bin/env bash
+#! /bin/bash
+
+set -eux -o pipefail
PATH=/bin:/usr/bin:/usr/local/bin
-inpath()
-{
- type $1 &> /dev/null
-}
-
-
-inpath appledoc && appledoc \
- --project-name "TPDWeakProxy" \
- --project-company "Tetherpad" \
- --company-id "com.tetherpad" \
- -... | bash |
d_bash_18265 | ---
+++
@@ -28,6 +28,7 @@
alias e="$EDITOR -n"
# miscellaneous
+alias sudo='sudo ' # enable alias expansion for sudo
alias g='git'
complete -o default -o nospace -F _git g
alias make='make --debug=b' | bash |
d_bash_18266 | ---
+++
@@ -19,7 +19,7 @@
# compile the website
bundle exec jekyll build -d ~/out --config _uberspace_config.yml
# upload site
- rsync -rq --delete ~/out/ $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_PATH
+ rsync -rq --delete --exclude=".*" ~/out/ $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_PATH
else
echo "NOT ON MASTER BRANCH, ... | bash |
d_bash_18267 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-
+set -e
echo "Downloading latest Atom release..."
curl -s -L "https://atom.io/download/mac" \
-H 'Accept: application/octet-stream' \
@@ -25,19 +25,6 @@
done
fi
-if [ -f ./node_modules/.bin/coffeelint ]; then
- if [ -d ./lib ]; then
- echo "Linting package..."
- ... | bash |
d_bash_18268 | ---
+++
@@ -22,6 +22,6 @@
#
if [ -z "$(grep "cgroup_enable=memory quiet" /etc/default/grub)" ]; then
- sed -i '/GRUB_CMDLINE_LINUX_DEFAULT=/c \GRUB_CMDLINE_LINUX_DEFAULT=\"cgroup_enable=memory quiet\"' /etc/default/grub
+ sed -i '/GRUB_CMDLINE_LINUX_DEFAULT=/c \GRUB_CMDLINE_LINUX_DEFAULT=\"cgroup_enable=memory sw... | bash |
d_bash_18269 | ---
+++
@@ -1,6 +1,6 @@
#! /bin/sh
-cd bundle/command-t/ruby/command-t
+cd bundle/command-t/ruby/command-t/ext/command-t
ruby extconf.rb
if [ `uname` = "FreeBSD" ]; then
gmake | bash |
d_bash_18270 | ---
+++
@@ -2,4 +2,4 @@
DIRECTION=$1
SINK=$(pacmd list-sinks | grep "\* index" | head -n 1 | cut -f 2 -d :)
-pactl set-sink-volume $SINK -- $DIRECTION"5%"
+pactl set-sink-volume $SINK $DIRECTION"5%" | bash |
d_bash_18271 | ---
+++
@@ -12,7 +12,7 @@
fi
# copy our modified nginx default site config to the vm
-sudo cp /configs/nginx-default /etc/nginx/sites-available/default
+sudo cp /vagrant/configs/nginx-default /etc/nginx/sites-available/default
# restart nginx
sudo service nginx restart > /dev/null | bash |
d_bash_18272 | ---
+++
@@ -6,7 +6,7 @@
# and we are part of a git repository that the user has not fully initialized,
# go ahead and do the step of fetching the the submodule so the compile process
# can run.
-if [ ! -f "libtexpdf/configure.ac" ] && [ -d ".git" ]; then
+if [ ! -f "libtexpdf/configure.ac" ] && [ -e ".git" ]; then... | bash |
d_bash_18273 | ---
+++
@@ -4,8 +4,8 @@
cd git/re2
bazel clean
-bazel build -- //...
-bazel test -- //... \
+bazel build --compilation_mode=dbg -- //...
+bazel test --compilation_mode=dbg -- //... \
-//:dfa_test \
-//:exhaustive1_test \
-//:exhaustive2_test \ | bash |
d_bash_18274 | ---
+++
@@ -2,8 +2,11 @@
set -e;
-if ! { [ "$TRAVIS_REPO_SLUG" == "$MY_REPO_SLUG" ] && [ "$TRAVIS_BRANCH" == "master" ] && [ "$TRAVIS_TAG" ]; };
+if [ "$TRAVIS_REPO_SLUG" == "$MY_REPO_SLUG" ] && [ "$TRAVIS_BRANCH" == "master" ] && [ "$TRAVIS_TAG" ];
then
+ echo "Deploying v${TRAVIS_TAG}!";
+ else
... | bash |
d_bash_18275 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
local_sublime="$HOME/Library/Application Support/Sublime Text 2"
-synced_sublime="$HOME/Dropbox/Sublime Text 2"
+synced_sublime="$HOME/Dropbox/Personalization/Sublime Text 2"
if [ ! -L "$local_sublime" ]; then
rm -rf "$local_sublime" | bash |
d_bash_18276 | ---
+++
@@ -1,12 +1,9 @@
#!/bin/bash
-if [ -n "$TRAVIS_PULL_REQUEST_BRANCH" ]; then
- docker tag neinteractiveliterature/intercode:$TRAVIS_COMMIT neinteractiveliterature/intercode:$TRAVIS_PULL_REQUEST_BRANCH
- docker push neinteractiveliterature/intercode:$TRAVIS_PULL_REQUEST_BRANCH
-else
- docker tag neinterac... | bash |
d_bash_18277 | ---
+++
@@ -3,10 +3,12 @@
# Search wordlist for words that works as a sed substitution command and the words that gets
# changed into words that exists in that list.
+LANG=C
+
words=/usr/share/dict/words
-for s in $(grep '^[a-z]*$' $words | grep -P '^s(.)((?!\1).)+\1((?!\1).)*\1$')
+for s in $(cat $words | gre... | bash |
d_bash_18278 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u275-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u275b01.tar.gz"
;;
java11)
- echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.9%2B11.1/OpenJDK11U-jdk_x64_linux_hotspot_11.0.9_11... | bash |
d_bash_18279 | ---
+++
@@ -14,7 +14,7 @@
# The script `check-env-dep` uses process substitution which is **not** a standard `sh` feature!
# See also: https://unix.stackexchange.com/questions/151925
scripts=$($FIND scripts/ -type f -not -regex \
- '.+(/docker/.+|check-env-dep|Jenkinsfile(.daily)?|kdb_zsh_completion|sed|\.(cmake... | bash |
d_bash_18280 | ---
+++
@@ -6,28 +6,31 @@
# Create wheels
for PYBIN in /opt/python/*/bin; do
- # Install and link cmake
- ${PYBIN}/pip install cmake
- rm -rf /usr/local/bin/cmake
- ln -s $PYBIN/cmake /usr/local/bin/cmake
+ if [[ ${PYBIN} != *"34"* ]]; then
- # Install python dependencies
- ${PYBIN}/pip install numpy scipy futu... | bash |
d_bash_18281 | ---
+++
@@ -15,6 +15,6 @@
# seem to work in this case.
find . -name "*.gz" -delete
cp $1 app.js
-cordova build android
-cordova build ios
+cordova build android --release --device
+cordova build ios --device
echo "Remember to start the test coordination server by running jx index.js" | bash |
d_bash_18282 | ---
+++
@@ -24,6 +24,8 @@
mencoder -nosound -ovc copy -o $YEAR-$DAY.avi -mf w=2592:h=1555:fps=40:type=jpg mf://*.jpg
avconv -i $YEAR-$DAY.avi -c:v h264 -c:a copy -s 2592x1556 $YEAR-$DAY-h264.avi
-/usr/local/bin/youtube-upload --tags=$WEATHER_CAM_VID_TAGS -d $WEATHER_CAM_VID_DESCRIPTION --title "WEATHER_CAM_VID_TI... | bash |
d_bash_18283 | ---
+++
@@ -7,7 +7,7 @@
# anaconda-build trigger moble/${DIR}
export CONDA_NPY=19
-CONDA_PYs=( 27 34 )
+CONDA_PYs=( 27 34 35 )
for CONDA_PY in "${CONDA_PYs[@]}"
do | bash |
d_bash_18284 | ---
+++
@@ -5,9 +5,12 @@
set -e # aborts as soon as anything returns non-zero exit status
-git remote set-branches origin master
-git fetch --unshallow --quiet
-git checkout master --quiet
-git checkout - --quiet
-
-./node_modules/.bin/commitlint --from=master --to="$TRAVIS_COMMIT"
+if [ ! -z "$TRAVIS_COMMIT" ];... | bash |
d_bash_18285 | ---
+++
@@ -38,7 +38,7 @@
chmod +x $buildFile
# Cleanup
- if test ! -d $tempFolder; then
+ if test -d $tempFolder; then
rm -rf $tempFolder
fi
fi | bash |
d_bash_18286 | ---
+++
@@ -10,6 +10,9 @@
# replace old OSX dmg download link with new one
sed -i '' 's#<a href=".*ESRScan.dmg"#<a href="'${url}'"#g' ./index.html
+git config --global user.name $GIT_AUTHOR_NAME
+git config --global user.email $GIT_AUTHOR_EMAIL
+
git add index.html
git commit -m 'Release ${TRAVIS_TAG}: update d... | bash |
d_bash_18287 | ---
+++
@@ -27,7 +27,6 @@
install(){
echo 'Installing project dependencies...'
npm install
- npm install --save --save-exact box-sizing-polyfill@0.1.0 jquery.easing@1.3.2 normalize-css@2.3.1 jquery@1.11.3 normalize-legacy-addon@0.1.0
if [ -f $SHRINKWRAP ]; then
echo 'Removing project dependency direct... | bash |
d_bash_18288 | ---
+++
@@ -9,7 +9,7 @@
# System monitoring
alias top-cpu='top -n 10 -o cpu -O time -stats pid,command,cpu,cpu_me,time,threads,ports'
-alias ls='lsd'
+alias ls='exa'
alias ll='ls -l'
alias tree='ls --tree --level 2'
| bash |
d_bash_18289 | ---
+++
@@ -14,7 +14,7 @@
fi
MAGE_MODE="${MAGE_MODE:-developer}"
-if [[ $WEB_ROOT/app/etc/env.php -ot $WEB_ROOT/app/etc/env.php.$MAGE_MODE ]]
+if [[ -f $WEB_ROOT/app/etc/env.php.$MAGE_MODE ]]
then
cp -p $WEB_ROOT/app/etc/env.php.$MAGE_MODE $WEB_ROOT/app/etc/env.php
fi | bash |
d_bash_18290 | ---
+++
@@ -1,4 +1,4 @@
-export EDITOR='atom'
+export EDITOR='vimr'
eval "$(rbenv init - zsh)"
source ~/.nvm/nvm.sh | bash |
d_bash_18291 | ---
+++
@@ -5,6 +5,7 @@
cp ./Dockerfile ./target/docker-image/Dockerfile
cp ./README.md ./target/docker-image/README.md
cp ./.dockerignore ./target/docker-image/.dockerignore
+cp ./.travis.yml ./target/docker-image/.travis.yml
cp -r ./src ./target/docker-image/src
cp -r ./node_modules /target/docker-image/node_m... | bash |
d_bash_18292 | ---
+++
@@ -15,9 +15,13 @@
getValidFunctions bash-toolbox${classpath}/${testClass}.sh)
)
+ local ignorableCommands="${testClass} run setUp tearDown"
+
for _test in ${_tests[@]}; do
- if [[ ${_test} != ${testClass} && ${_test} != run ]]; then
+ local isIgnorable=$(
+ StringValidator isSubstring ig... | bash |
d_bash_18293 | ---
+++
@@ -2,42 +2,42 @@
source nvimenv.sh
-YCM_DIR="$NVIM_HOME/plugged/YouCompleteMe"
+# YCM_DIR="$NVIM_HOME/plugged/YouCompleteMe"
-build_ycm()
-{
- # Build YouCompleteMe
- if [[ -d "$YCM_DIR" ]]; then
- pr_info "Building YouCompleteMe"
- cd "$YCM_DIR"
- git submodule update --ini... | bash |
d_bash_18294 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-curl -sL https://github.com/xd009642/tarpaulin/releases/download/0.4.1/cargo-tarpaulin-0.4.1-travis.tar.gz | tar xvz -C $HOME/.cargo/bin
+curl -sL https://github.com/xd009642/tarpaulin/releases/download/0.4.2/cargo-tarpaulin-0.4.2-travis.tar.gz | tar xvz -C $HOME/.cargo/bin | bash |
d_bash_18295 | ---
+++
@@ -7,9 +7,15 @@
cd $THIS_DIR
echo "start setup..."
+
for f in .??*; do
- if [[ $f =~ .git* ]]; then
- continue
- fi
+ # Ignore files
+ [[ $f == .git ]] && continue
+ [[ $f == .gitignore ]] && continue
+ [[ $f == .gitmodules ]] && continue
+
+ # Make symbolic links of dotfile to HOME
l... | bash |
d_bash_18296 | ---
+++
@@ -4,7 +4,6 @@
sleep 20
-echo 'delete from key_value_store_entries;' | docker exec -i mysql_autobet mysql -pmysql autobet
java -jar target/autobet-0.1-SNAPSHOT-executable.jar stats -c 10000
java -jar target/autobet-0.1-SNAPSHOT-executable.jar eval -c 1000 -s random
java -jar target/autobet-0.1-SNAPSH... | bash |
d_bash_18297 | ---
+++
@@ -1,14 +1,22 @@
-#!/bin/bash -e
+#!/bin/bash
+
SCRIPT_DIR=`dirname $0`
-DEST_DIR=`mktemp -t -d ci-django-fsm-XXX`
+ROOT_DIR=`cd $SCRIPT_DIR/.. && pwd`
-cd $SCRIPT_DIR/../
+ENVSPEC=`stat -c %Y $ROOT_DIR/tests/environment.pip`
+ENVTIME=`test -d $ROOT_DIR/.ve && stat -c %Y $ROOT_DIR/.ve`
-# Setup environm... | bash |
d_bash_18298 | ---
+++
@@ -9,7 +9,7 @@
for i in "$@"; do
case $1 in
-s|--script) SCRIPT="$2"; shift ;;
- -v|--verbosity) VERBOSITY="$2"; shift ;;
+ -V|--verbosity) VERBOSITY="$2"; shift ;;
--) shift; CAKE_ARGUMENTS="${CAKE_ARGUMENTS} $@"; break ;;
*) CAKE_ARGUMENTS="${CAKE_ARGUMENTS} $... | bash |
d_bash_18299 | ---
+++
@@ -2,16 +2,16 @@
set -e
-pip3 install --upgrade pip
-pip3 install neovim
+/usr/local/bin/pip3 install --upgrade pip
+/usr/local/bin/pip3 install neovim
-pip2 install --upgrade pip
-pip2 install neovim
+/usr/local/bin/pip2 install --upgrade pip
+/usr/local/bin/pip2 install neovim
-gem update
-gem ins... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.